#!/usr/bin/ruby -Ku

# add Category Data into DataBase
def AddCategory(conn, category)
  # argument check
  if conn.nil? || category.nil?
     return nil
  end

  sql = 'insert into Category_TBL (jname, ename)'
  sql += " values ('#{category.jname}', '#{category.ename}'"

  begin
    conn.query(sql)
    category.id = conn.insert_id()
  rescue
    return nil
  end

  return category
end

# get all Category Data from DataBase
def GetCategory(conn)
  sql = 'select * from Category_TBL'
  ary = Array.new

  begin
    rows = conn.query(sql)

    rows.each_hash do |row|
      tmp = Category.new(row['id'].to_i, row['jname'].to_s, row['ename'].to_s)
      ary.push(tmp)
    end
  rescue
    return nil
  end

  return ary
end
