class Tag
  attr_accessor :id, :jname, :kana, :ename
  def initialize(id, jname, kana, ename)
    @id = id
    @jname = jname
    @kana = kana
    @ename = ename
  end
  def to_s
    return "ID:#{@id} JNAME:#{@jname} KANA:#{@kana} ENAME:#{@ename}"
  end
  
  # class method
  class << self
    def create_empty
      return Tag.new(-1, "", "", "")
    end

    def AddTag(conn, tag)
      rtn = nil
      
      # argument check
      if conn.nil? || tag.nil?
        return nil
      end
      
      sql =  "insert into Tag_TBL(jname, kana, ename) "
      sql += "values ('#{tag.jname}', '#{tag.kana}', '#{tag.ename}')"

      begin 
        conn.query(sql)
        
        tag.id = conn.insert_id()
        rtn = tag
      rescue
        rtn = nil
      end
    
      return rtn
    end

    def GetTag(conn, id = nil)
      rtn = Array.new
      
      sql = "select * from Tag_TBL"
      unless id.nil?
        sql += " where id = #{id}"
      end
      
      begin
        res = conn.query(sql)
        res.each_hash do |row|
          tag = Tag.new(row["id"].to_i, row["jname"].to_s,
                        row["kana"].to_s, row["ename"].to_s)
          rtn.push(tag)
        end
      rescue
        rtn = nil
      end
      
      return rtn
    end
    
    def DeleteTag(conn, id)
      if conn.nil? || id.nil?
        return nil
      end
      
      sql = "delete from Tag_TBL where id = #{id}"
      
      begin
        conn.query(sql)
        
      rescue
        return nil
      end
      
      return id
    end

    alias :delete :DeleteTag
    alias :add :AddTag
    alias :get :GetTag
  end # class << self
end # class Tag
