#!/usr/bin/ruby -Ku

# add TagWork Data into DataBase
def AddTagWork(conn, tagid, workid)
  # argument check
  if conn.nil? || tagid.nil? || workid.nil?
     return nil
  end

  sql = 'insert into TagWork_TBL (tagid, workid)'
  sql += "values (#{tagid}, #{workid})"

  begin
    conn.query(sql)
  rescue
    return nil
  end

  return [tagid, workid]
end

# get Tag Data related to workid from DataBase
def GetTagByWorkid(conn, workid)
  sql = "select * from Tag_TBL where tagid = "
  sql += "(select tagid from TagWork_TBL where workid = #{workid})"
  ary = Array.new

  begin
    rows = conn.query(sql)
    
    rows.each_hash do |row|
      tmp = Tag.new
      tmp.id      = row['id'].to_i
      tmp.jname   = row['jname'].to_s
      tmp.kana    = row['kana'].to_s
      tmp.ename   = row['ename'].to_s
      ary.push(tmp)
    end
  rescue
    return nil    
  end

  return ary
end

# get Work Data related to tagid from DataBase
def GetWorkByTagid(conn, tagid)
  sql = "select * from Work_TBL where workid = "
  sql += "(select workid from TagWork_TBL where tagid = #{tagid})"
  ary = Array.new

  begin
    rows = conn.query(sql)
    
    rows.each_hash do |row|
      tmp = Work.new
      tmp.id         = row['id'].to_i
      tmp.categoryid = row['categoryid'].to_i
      tmp.jtitle     = row['jname'].to_s
      tmp.kana       = row['kana'].to_s
      tmp.etitle     = row['ename'].to_s
      tmp.author1    = row['author1'].to_i
      tmp.author2    = row['author2'].to_i
      tmp.author3    = row['author3'].to_i
      ary.push(tmp)
    end
  rescue
    return nil    
  end

  return ary
end
