#!/usr/bin/ruby -Ku

# add Volume Data into DataBase
def AddVolume(conn, volume)
  # argument check
  if conn.nil? || volume.nil?
     return nil
  end

  sql = 'insert into Volume_TBL (volindex, pages, workid, subtitle) '
  sql += "values (#{volume.volindex}, #{volume.pages}, #{volume.workid}, '#{volume.subtitle})'"

  begin
    conn.query(sql)
    volume.id = conn.insert_id()
  rescue
    return nil
  end

  return volume
end

# get all Volume Data from DataBase
def GetVolume(conn)
  sql = 'select * from Volume_TBL'
  ary = Array.new

  begin
    rows = conn.query(sql)

    rows.each_hash do |row|
      tmp = Volume.new(row['id'].to_i, row['volindex'].to_i,
                       row['pages'].to_i, row['workid'].to_i,
                       row['subtitle'].to_s)
      ary.push(tmp)
    end
  rescue
    return nil
  end

  return ary
end
