#!/usr/bin/ruby -Ku
# make test data of author, tag, category, work, and volume to DataBase

require 'func/header'

print "Content-type: text/html\n\n"

print <<EOS
<html>
<head>
</head>
<body>
Hello!World<br>
EOS

conn = Mysql::new($dbhost, $dbuser, $dbpass, $dbname)

DummyID = -1

unless QueryToComicdb(conn, 'delete from Volume_TBL') &&
       QueryToComicdb(conn, 'delete from TagWork_TBL') &&
       QueryToComicdb(conn, 'delete from Work_TBL') &&
       QueryToComicdb(conn, 'delete from Author_TBL') &&
       QueryToComicdb(conn, 'delete from Tag_TBL') &&
       QueryToComicdb(conn, 'delete from Category_TBL')
  puts 'cannot delete TBL'
  exit -1
end

author = Author.new(DummyID, '荒川弘', 'あらかわひろし', 'Hiroshi ARAKAWA')
Author.add(conn, author)

tag = Tag.new(DummyID, 'ファンタジー', 'ふぁんたじー', 'fantasy')
Tag.add(conn, tag)

category = Category.new(DummyID, '漫画', 'Comic')
AddCategory(conn, category)

work = Work.new(DummyID, category.id, '鋼の錬金術師', 'はがねのれんきんじゅつし', 'Fullmetal Alchemist', author.id)
AddWork(conn, work)

AddTagWork(conn, tag.id, work.id)

volume = Volume.new(DummyID, 1, 179, work.id)
AddVolume(conn, volume)


print "</body></html>\n"

