class Category
  attr_accessor :id, :jname, :ename
  def initialize(id, jname, ename)
    @id = id
    @jname = jname
    @ename = ename
  end
  def to_s
    return "ID:#{@id} JNAME:#{@jname} ENAME:#{@ename}"
  end
end

class Work
  attr_accessor :id, :categoryid, :jtitle, :kana, :etitle
  attr_accessor :authorid1, :authorid2, :authorid3
  def initialize(id, categoryid, jtitle, kana, etitle, authorid1, authorid2 = -1, authorid3 = -1)
    @id = id
    @categoryid = categoryid
    @jtitle = jtitle
    @kana = kana
    @etitle = etitle
    @authorid1 = authorid1
    @authorid2 = authorid2
    @authorid3 = authorid3
  end
  def to_s
    return "ID:#{@id} JTITLE:#{@jtitle} KANA:#{@kana} ETITLE:#{@etitle} AUTHORID1:#{@authorid1} AUTHORID2:#{@authorid2} AUTHORID3:#{@authorid3}"
  end
end

class Volume
  attr_accessor :id, :volindex, :pages, :workid, :subtitle
  def initialize(id, volindex, pages, workid, subtitle = 'null')
    @id = id
    @volindex = volindex
    @pages = pages
    @workid = workid
    @subtitle = subtitle
  end
  def to_s
    return "ID:#{@id} VOLINDEX:#{@volindex} PAGES:#{@pages} WORKID:#{@workid} SUBTITLE:#{@subtitle}"
  end
end

class Page
  attr_accessor :id, :volid, :pageindex, :height, :width, :imgdata
  def initialize(id, volid, pageindex, height, width, imgdata)
    @id = id
    @volid = volid
    @pageindex = pageindex
    @height = height
    @width = width
    @imgdata = imgdata
  end
  def to_s
    return "ID:#{@id} VOLID:#{@volid} PAGEINDEX:#{@pageindex} HEIGHT:#{@height} WIDTH:#{@width}"
  end
end
