#!/usr/bin/ruby -Ku

require 'pp'
require 'rubygems'
require 'RMagick'

DIRROOT = '/usr/html/uploaded/'

def collect_pages
  ary = Array.new

  Dir.chdir DIRROOT
  Dir.foreach('.') do |f|
    if File.directory?(f) && f != '.' && f != '..'
      Dir.chdir f
      Dir.foreach('.') do |img|
        if File.extname(img) == '.jpg'
          pp img
          il = Magick::ImageList.new(img)
          
          page = Page.new(-1, -1, File.basename(img, '.*').to_i,
                          il.columns, il.rows, il.to_blob)
          ary.push page
        end
      end
    end
  end

  return ary
end

def class2image(page)
  il = Magick::Image.from_blob(page.imgdata).shift
  Dir.chdir DIRROOT
  Dir.chdir '..'
  pp Dir.pwd
  li.write("tmp/#{page.pageindex.to_s}.jpg")
  puts page.id
end

