#!/usr/bin/ruby -Ku

# add Page Data into DataBase
def AddPage(conn, page)
  # argument check
  if conn.nil? || page.nil?
     return nil
  end

  sql = 'insert into Page_TBL (volid, pageindex, height, width, imgdata) '
  sql += "values (#{page.volid}, #{page.pageindex}, #{page.height}, #{page.width}, '#{page.imgdata}')"

  begin
    conn.query(sql)
    page.id = conn.insert_id()
  rescue
    warn $!.message
    return nil
  end

  return page
end

# get all Page Data from DataBase
def GetPage(conn)
  sql = 'select * from Page_TBL'
  ary = Array.new

  begin
    rows = conn.query(sql)

    rows.each_hash do |row|
      tmp = Page.new
      tmp.id        = row['id'].to_i
      tmp.volid     = row['volid'].to_i
      tmp.pageindex = row['pageindex'].to_i
      tmp.height    = row['height'].to_i
      tmp.width     = row['width'].to_i
      tmp.imgdata   = row['imgdata']
      ary.push(tmp)
    end
  rescue
    return nil
  end

  return ary
end
