#!/usr/bin/ruby -Ku

# add Work Data into DataBase
def AddWork(conn, work)
  # argument check
  if conn.nil? || work.nil?
     return nil
  end

  authorid2 = (work.authorid2 == -1 ? 'null' : work.authorid2)
  authorid3 = (work.authorid3 == -1 ? 'null' : work.authorid3)

  sql = 'insert into Work_TBL (categoryid, jtitle, kana, etitle, authorid1, authorid2, authorid3)'
  sql += "values (#{work.categoryid}, '#{work.jtitle}', '#{work.kana}', '#{work.etitle}', #{work.authorid1}, #{authorid2}, #{authorid3})"

  begin
    conn.query(sql)
    work.id = conn.insert_id()
  rescue
    return nil
  end

  return work
end

# get all Work Data from DataBase
def GetWork(conn)
  sql = 'select * from Work_TBL'
  ary = Array.new

  begin
    rows = conn.query(sql)

    rows.each_hash do |row|
      tmp = Work.new(row['id'].to_i, row['categoryid'].to_i,
                     row['jtitle'].to_s, row['kana'].to_s,
                     row['etitle'].to_s, row['authorid1'].to_i,
                     row['authorid2'].to_i, row['authorid3'].to_i)
      ary.push(tmp)
    end
  rescue
    return nil
  end

  return ary
end
